#ifndef MOBIDELIV_API_MOBIDELIV_H
#define MOBIDELIV_API_MOBIDELIV_H

#include "vars.h"

// A very simple mobideliv class
class MobiDeliv {
public:
    MobiDeliv();
    ~MobiDeliv();
    long mobideliv_api(CVars in, CVars &out);
    const char* cfgReadChar(const char *parameter);
    long cfgReadLong(const char *parameter);
    void logMessage(const char *message);
private:
    FILE* pFile;
    int db;
};

#endif /* MOBIDELIV_API_MOBIDELIV_H */
